//---------------MEDIA----------//

//---------------SCREEN-768px----------//

@media screen and (min-width: 768px) {

  .header {
    &__bar-btn {
      display: none;
    }
  }

  .nav {
    width: 100%;
    padding: 0 84px;
    margin: 0 auto;

    &__list {
      display: flex;
      justify-content: space-between;
      flex-direction: row;
      position: inherit;
      right: auto;
      width: 100%;
      background-color: white;
    }
  }

  .main-img{
    margin: 43px 0 66px 0;
  }

  .recent-posts {
    &__item {
      display: grid;
      align-self: end;
      grid-template-areas:
            "recent-posts__photo recent-posts__name"
            "recent-posts__photo recent-posts__source"
            "recent-posts__photo recent-posts__description";
      max-width: 555px;
      height: max-content;
      grid-gap: 5px 21px;
      margin: 15px 0;
    }

    &__photo {
      grid-area: recent-posts__photo;
      margin: 0;
    }

    &__name {
      grid-area: recent-posts__name;
      align-items: center;
      margin: 0;
    }

    &__description {
      display: inline-block;
      grid-area: recent-posts__description;
      margin: 0;
    }
  }

  .footer {
    margin: 50px auto;

    &__contacts {
      display: inline-block;
      margin: 0 10px;
    }
  }
}

//---------------SCREEN-1200px----------//

@media screen and (min-width: 1200px) {
  .recent-posts__wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
  }
}


